<?php 
/**
 * The template for functions 
 *
 * @version    0.0.9
 * @package    plied
 * @author     Zidithemes
 * @copyright  Copyright (C) 2018 zidithemes.tumblr.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * 
 */


if ( ! defined( 'ABSPATH' ) ) { exit; }

function plied_setup(){


	// ADD THEME SUPPORT
	add_theme_support( 'title-tag' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( "custom-header" );
	add_theme_support( "custom-background" );
	add_theme_support( 'post-thumbnails' );
	add_theme_support('woocommerce');


	//ADD IMAGE SIZES
	add_image_size( 'large', 590, 9999 );
	add_image_size('featured', 400, 250);
	add_image_size( 'medium', 800, 240 );

	// ADD EDITOR STYLE
	add_editor_style();

	register_nav_menus(
	    array(
	      'primary-menu' => esc_attr__( 'Primary Menu', 'plied' ),
	    )
	  );

}

add_action('after_setup_theme', 'plied_setup');

// Load styles
function plied_load_styles_scripts(){
	// NOTE:   SOME OF THESE SCRIPTS ARE HOSTED ON A CDN AND ARE NOT STORED LOCALLY... SO THIS THEME MAY NOT RENDER PROPERLY IF YOU ARE NOT CONNECTED TO THE INTERNET
	
		wp_enqueue_style( 'style', get_template_directory_uri() . '/style.css');

		wp_enqueue_style( 'google-noto-font', 'https://fonts.googleapis.com/css?family=Noto+Sans');

		
		if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); 
	
}

add_action('wp_enqueue_scripts', 'plied_load_styles_scripts');



// SET CONTENT WIDTH
if ( ! isset( $content_width ) ) $content_width = 600;










// Creating the sidebar
function plied_menu_init() {


register_sidebar(
		array(
                'name' 			=> esc_attr__('Sidebar Widgets', 'plied'),
                'id'    		=> 'sidebar_id',
                'class'       	=> '',
				'description' 	=> esc_attr__('Add sidebar widgets here', 'plied'),
				'before_widget' => '<div class="sidebar-items">',
				'after_widget' 	=> '</div>',
				'before_title' 	=> '<h2>',
				'after_title' 	=> '</h2>',
	));


register_sidebar(
		array(
                'name' 			=> esc_attr__('Left Sidebar', 'plied'),
                'id'    		=> 'left_sidebar',
                'class'       	=> '',
				'description' 	=> esc_attr__('Add left sidebar widgets here', 'plied'),
				'before_widget' => '<div class="sidebar-items">',
				'after_widget' 	=> '</div>',
				'before_title' 	=> '<h2>',
				'after_title' 	=> '</h2>',
	));

	register_sidebar(array(
                'name' 			=> esc_attr__('Left Footer', 'plied'),
                'id'    		=> 'left_footer',
                'class' 		=> '',
				'description' 	=> esc_attr__('Add widgets here', 'plied'),
				'before_widget' => '<li>',
				'after_widget' 	=> '</li>',
				'before_title' 	=> '<h2>',
				'after_title' 	=> '</h2>',
	));
	
	register_sidebar(array(
                'name' 			=> esc_attr__('Middle Footer', 'plied'),
                'id'    		=> 'middle_footer',
                'class' 		=> '',
				'description' 	=> esc_attr__('Add widgets here', 'plied'),
				'before_widget' => '<li>',
				'after_widget' 	=> '</li>',
				'before_title'	=> '<h2>',
				'after_title' 	=> '</h2>',
	));
	
	register_sidebar(array(
                'name' 			=> esc_attr__('Right Footer', 'plied'),
                'id'    		=> 'right_footer',
                'class' 		=> '',
				'description' 	=> esc_attr__('Add widgets here', 'plied'),
				'before_widget' => '<li>',
				'after_widget' 	=> '</li>',
				'before_title' 	=> '<h2>',
				'after_title' 	=> '</h2>',
	));
	
	register_sidebar(array(
                'name' 			=> esc_attr__('Fourth Footer', 'plied'),
                'id'    		=> 'fourth_footer',
                'class' 		=> '',
				'description' 	=> esc_attr__('Add widgets here', 'plied'),
				'before_widget' => '<li>',
				'after_widget' 	=> '</li>',
				'before_title' 	=> '<h2>',
				'after_title' 	=> '</h2>',
	));

	register_sidebar(array(
                'name' 			=> esc_attr__('Full Width Footer', 'plied'),
                'id'    		=> 'full_width_footer',
                'class' 		=> '',
				'description' 	=> esc_attr__('Add widgets here', 'plied'),
				'before_widget' => '<li>',
				'after_widget' 	=> '</li>',
				'before_title' 	=> '<h2>',
				'after_title' 	=> '</h2>',
	));

}
add_action('widgets_init', 'plied_menu_init');

// this increases or decreaes the length of the excerpt on the index page
function plied_excerpt_length( $length ) {
	return 20;
}
add_filter( 'excerpt_length', 'plied_excerpt_length', 999 );

function plied_excerpt_more( $more ) {
    //return 'More';
    return ' <a class="read-more" href="'. esc_url(get_permalink( get_the_ID() ) ) . '">' . esc_attr__('Read More', 'plied') . '</a>';
}
add_filter( 'excerpt_more', 'plied_excerpt_more' );





?>